using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

using Webolize.TimeTracker.Domain;

using Cuyahoga.Core.Util;
using Cuyahoga.Web.UI;

namespace Webolize.TimeTracker.Web.Admin
{
	/// <summary>
	/// Summary description for Edit Forums.
	/// </summary>
    public class EditMultiplier : ModuleAdminBasePage
	{
        protected System.Web.UI.WebControls.TextBox wf_Name;
        protected System.Web.UI.WebControls.TextBox wf_Type;
        protected System.Web.UI.WebControls.TextBox wf_Percent;
        protected System.Web.UI.WebControls.CheckBox wf_Active;
        protected System.Web.UI.WebControls.LinkButton wf_Submit;
        protected System.Web.UI.WebControls.Label wf_Status;

		private TimeTrackerModule _module;
        private int multiplierID;

		private void Page_Load(object sender, System.EventArgs e)
		{
			base.Title = "Webolize TimeTracker Administration";
			this._module = base.Module as TimeTrackerModule;

            if ( Request.QueryString["MultiplierID"] != null ) {
                multiplierID = Int32.Parse( Request.QueryString["MultiplierID"] );
            } else {
                multiplierID = -1;
            }

			if (! this.IsPostBack)
			{
                BindData();
			}
		}

        private void BindData()
        {
            TimeTrackerDB ttdb = new TimeTrackerDB( _module.SessMgr );

            if ( multiplierID >= 0 ) {
                TTBillableMultiplier ttbm = ttdb.GetSingleMultiplier( multiplierID );

                wf_Name.Text = ttbm.Name;
                wf_Type.Text = ttbm.Type;
                wf_Percent.Text = ttbm.Percent.ToString( "0.00" );
                wf_Active.Checked = ttbm.Active;

                wf_Status.Visible = false;
            } else {
                wf_Percent.Text = "0";
                wf_Active.Checked = true;

                wf_Submit.Text = "create multiplier";
            }
        }


        protected void wf_Submit_Click( object sender, EventArgs e )
        {
            Cuyahoga.Core.Domain.User _currentUser = Context.User.Identity as Cuyahoga.Core.Domain.User;
            TimeTrackerDB ttdb = new TimeTrackerDB( _module.SessMgr );
            TTBillableMultiplier bm;

            if ( multiplierID >= 0 ) {
                bm = ttdb.GetSingleMultiplier( multiplierID );
            } else {
                bm = new TTBillableMultiplier();
            }

            bm.Name = wf_Name.Text;
            bm.Type = wf_Type.Text;
            bm.Percent = Decimal.Parse(wf_Percent.Text);
            bm.Active = wf_Active.Checked;
            bm.CreatedByID = _currentUser.Id;
            bm.CreatedDate = DateTime.Now;            

            // Save or update ServiceType
            if ( multiplierID >= 0 ) {
                ttdb.Update( bm );
                wf_Status.Text = "multiplier has been updated";
                wf_Status.Visible = true;
            } else {
                ttdb.Save( bm );
                //wf_Status.Text = "multiplier has been created";
                //wf_Status.Visible = true;
                wf_Back_Click( sender, e );
            }

        }

        protected void wf_Back_Click( object sender, EventArgs e )
        {
            Response.Redirect( String.Format("~/Modules/Webolize-TimeTracker/Admin/Admin.aspx?NodeId={0}&SectionId={1}", this.Node.Id, this.Section.Id ) );
        }

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion
	}
}
